

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.25.7. grn_content_type &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="7.25.8. grn_ctx" href="grn_ctx.html" />
    <link rel="prev" title="7.25.6. grn_command_version" href="grn_command_version.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../ja/html/reference/api/grn_content_type.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="grn_ctx.html" title="7.25.8. grn_ctx"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="grn_command_version.html" title="7.25.6. grn_command_version"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../api.html" accesskey="U"><span class="section-number">7.25. </span>API</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.25.7. </span><code class="docutils literal notranslate"><span class="pre">grn_content_type</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="grn-content-type">
<h1><span class="section-number">7.25.7. </span><code class="docutils literal notranslate"><span class="pre">grn_content_type</span></code><a class="headerlink" href="#grn-content-type" title="Permalink to this headline">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.25.7.1. </span>Summary<a class="headerlink" href="#summary" title="Permalink to this headline">¶</a></h2>
<p><a class="reference internal" href="#c.grn_content_type" title="grn_content_type"><code class="xref c c-type docutils literal notranslate"><span class="pre">grn_content_type</span></code></a> shows input type and output
type. Currently, it is used only for output type.</p>
<p>Normally, you don’t need to use this type. It is used internally in
<code class="xref c c-func docutils literal notranslate"><span class="pre">grn_ctx_send()</span></code>.</p>
</div>
<div class="section" id="reference">
<h2><span class="section-number">7.25.7.2. </span>Reference<a class="headerlink" href="#reference" title="Permalink to this headline">¶</a></h2>
<dl class="c type">
<dt id="c.grn_content_type">
<em class="property">type </em><code class="sig-name descname">grn_content_type</code><a class="headerlink" href="#c.grn_content_type" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>Here are available values:</p>
<dl class="simple">
<dt><cite>GRN_CONTENT_NONE</cite></dt><dd><p>It means that outputting nothing or using the original format.
<a class="reference internal" href="../commands/dump.html"><span class="doc">dump</span></a> uses the type.</p>
</dd>
<dt><cite>GRN_CONTENT_TSV</cite></dt><dd><p>It means tab separated values format.</p>
</dd>
<dt><cite>GRN_CONTENT_JSON</cite></dt><dd><p>It means JSON format.</p>
</dd>
<dt><cite>GRN_CONTENT_XML</cite></dt><dd><p>It means XML format.</p>
</dd>
<dt><cite>GRN_CONTENT_MSGPACK</cite></dt><dd><p>It means MessagePack format. You need MessagePack library on building
Groonga. If you don’t have MessagePack library, you can’t use this type.</p>
</dd>
</dl>
</dd></dl>

</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.25.7. <code class="docutils literal notranslate"><span class="pre">grn_content_type</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.25.7.1. Summary</a></li>
<li><a class="reference internal" href="#reference">7.25.7.2. Reference</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="grn_command_version.html"
                        title="previous chapter"><span class="section-number">7.25.6. </span><code class="docutils literal notranslate"><span class="pre">grn_command_version</span></code></a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="grn_ctx.html"
                        title="next chapter"><span class="section-number">7.25.8. </span><code class="docutils literal notranslate"><span class="pre">grn_ctx</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="grn_ctx.html" title="7.25.8. grn_ctx"
             >next</a> |</li>
        <li class="right" >
          <a href="grn_command_version.html" title="7.25.6. grn_command_version"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../api.html" ><span class="section-number">7.25. </span>API</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.25.7. </span><code class="docutils literal notranslate"><span class="pre">grn_content_type</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>